## golang-golang-x-tools 0.0~git20190125.d66bd3c+ds

=== cmd/tip/Makefile ===
# Copyright 2017 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

VERSION ?= $(shell git rev-parse --short HEAD)
MUTABLE_VERSION ?= latest

IMAGE_STAGING := gcr.io/go-dashboard-dev/tip
IMAGE_PROD := gcr.io/symbolic-datum-552/tip

.PHONY: usage

usage:
	echo "See Makefile"
	exit 1

update-deps:
	go install golang.org/x/build/cmd/gitlock
	gitlock --update=Dockerfile --ignore=NONE --tags=autocert golang.org/x/tools/cmd/tip

docker-image: Dockerfile *.go
	docker build --force-rm -f Dockerfile --tag=$(IMAGE_PROD):$(VERSION) .
	docker tag $(IMAGE_PROD):$(VERSION) $(IMAGE_PROD):$(MUTABLE_VERSION)
	docker tag $(IMAGE_PROD):$(VERSION) $(IMAGE_STAGING):$(VERSION)
	docker tag $(IMAGE_PROD):$(VERSION) $(IMAGE_STAGING):$(MUTABLE_VERSION)

push-prod: docker-image
	docker push $(IMAGE_PROD):$(MUTABLE_VERSION)
	docker push $(IMAGE_PROD):$(VERSION)
push-staging: docker-image
	docker push $(IMAGE_STAGING):$(MUTABLE_VERSION)
	docker push $(IMAGE_STAGING):$(VERSION)

deploy-prod: push-prod
	go install golang.org/x/build/cmd/xb
	xb --prod kubectl set image deployment/tipgodoc-deployment tipgodoc=$(IMAGE_PROD):$(VERSION)
deploy-staging: push-staging
	go install golang.org/x/build/cmd/xb
	xb --staging kubectl set image deployment/tipgodoc-deployment tipgodoc=$(IMAGE_STAGING):$(VERSION)

## golang-golang-x-tools 0.0~git20150716.0.87156cb+dfsg1

=== debian/changelog ===
golang-golang-x-tools (1:0.0~git20150716.0.87156cb+dfsg1-3) unstable; urgency=medium

  * Rename stress to golang-stress (Closes: #793693)

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 27 Jul 2015 19:16:39 +0200

golang-golang-x-tools (1:0.0~git20150716.0.87156cb+dfsg1-2) unstable; urgency=medium

  * Fix upgrade path by using correct version number (forgot the epoch
    earlier) in Breaks/Replaces fields (Closes: #793650)
  * Depend on dh-golang >= 1.7 instead of manually running go generate

 -- Michael Stapelberg <stapelberg@debian.org>  Sun, 26 Jul 2015 13:59:29 +0200

golang-golang-x-tools (1:0.0~git20150716.0.87156cb+dfsg1-1) unstable; urgency=medium

  * Rename source and binary package from golang-go.tools{,-dev} to
    golang-golang-x-tools{,-dev}, following the policy outlined at
    http://pkg-go.alioth.debian.org/packaging.html
  * New upstream version
  * Repackage upstream source to use symlinks to jquery and jquery-ui instead
    of bundled source copies.
  * drop debian/patches/0003-fix-tests.patch (merged upstream)
  * add debian/patches/0003-present-base-path.patch
  * update standards-version to 3.9.6 (no changes necessary)

 -- Michael Stapelberg <stapelberg@debian.org>  Tue, 21 Jul 2015 10:36:10 +0200

golang-go.tools (0.0~hg20140703-4) unstable; urgency=medium

  * Update debian/patches/0003-fix-tests.patch

 -- Michael Stapelberg <stapelberg@debian.org>  Fri, 12 Sep 2014 09:11:12 +0200

golang-go.tools (0.0~hg20140703-3) unstable; urgency=medium

  * Add debian/patches/0003-fix-tests.patch (Closes: #754644)

 -- Michael Stapelberg <stapelberg@debian.org>  Fri, 29 Aug 2014 09:50:11 +0200

golang-go.tools (0.0~hg20140703-2) unstable; urgency=medium

  * Rename eg to golang-go (Closes: #753978)

 -- Michael Stapelberg <stapelberg@debian.org>  Tue, 22 Jul 2014 09:48:00 +0200

golang-go.tools (0.0~hg20140703-1) unstable; urgency=medium

  * Import new upstream version (release-branch.go1.3). The old version broke
    with go 1.3 (Closes: #753185)

 -- Michael Stapelberg <stapelberg@debian.org>  Thu, 03 Jul 2014 18:52:34 +0200

golang-go.tools (0.0~hg20131126-3) unstable; urgency=low

  * Add patch 0002-skip-online-tests.patch (Thanks James Page)
    (Closes: #737985)

 -- Michael Stapelberg <stapelberg@debian.org>  Fri, 07 Feb 2014 21:27:37 +0100

golang-go.tools (0.0~hg20131126-2) unstable; urgency=low

  * Fix Breaks/Replaces field (Closes: #731498)

 -- Michael Stapelberg <stapelberg@debian.org>  Fri, 06 Dec 2013 08:24:44 +0100

golang-go.tools (0.0~hg20131126-1) unstable; urgency=low

  * Initial upload (Closes: #731046)

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 02 Dec 2013 22:17:08 +0100

=== debian/control ===
Source: golang-golang-x-tools
Section: devel
Priority: extra
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Michael Stapelberg <stapelberg@debian.org>
Build-Depends: debhelper (>= 9), golang-go, golang-doc, dh-golang (>= 1.7), golang-go.net-dev, libjs-jquery, libjs-jquery-ui
Standards-Version: 3.9.6
Homepage: http://golang.org/x/tools
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-go.tools.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-go/packages/golang-go.tools.git;a=summary

Package: golang-golang-x-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, golang-golang-x-tools-dev
Built-Using: ${misc:Built-Using}
Breaks: golang-go (<< 2:1.2), golang-go.tools (<< 1:0.0~git20150716.0.87156cb~)
Replaces: golang-go (<< 2:1.2), golang-go.tools (<< 1:0.0~git20150716.0.87156cb~)
Provides: golang-go.tools
Description: supplementary Go tools
 This subrepository holds the source for various packages and tools that
 support the Go programming language.
 .
 Some of the tools, godoc and vet for example, used to be included in the
 golang-go package. Others, including the Go oracle and the test coverage tool,
 can be fetched with "go get".
 .
 Packages include a type-checker for Go and an implementation of the Static
 Single Assignment form (SSA) representation for Go programs.

Package: golang-go.tools
Section: oldlibs
Architecture: any
Depends: ${misc:Depends}, golang-golang-x-tools
Description: Transitional package for golang-golang-x-tools
 This is a transitional package to ease upgrades to the golang-golang-x-tools
 package. It can safely be removed.

Package: golang-golang-x-tools-dev
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-jquery, libjs-jquery-ui
Breaks: golang-go.tools-dev (<< 1:0.0~git20150716.0.87156cb~)
Replaces: golang-go.tools-dev (<< 1:0.0~git20150716.0.87156cb~)
Provides: golang-go.tools-dev
Description: supplementary Go tools (development files)
 This subrepository holds the source for various packages and tools that
 support the Go programming language.
 .
 Some of the tools, godoc and vet for example, used to be included in the
 golang-go package. Others, including the Go oracle and the test coverage tool,
 can be fetched with "go get".
 .
 Packages include a type-checker for Go and an implementation of the Static
 Single Assignment form (SSA) representation for Go programs.
 .
 This package contains the development files.

Package: golang-go.tools-dev
Section: oldlibs
Architecture: any
Depends: ${misc:Depends}, golang-golang-x-tools-dev
Description: Transitional package for golang-golang-x-tools-dev
 This is a transitional package to ease upgrades to the
 golang-golang-x-tools-dev package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

export DH_VERBOSE=1

export DH_GOPKG := golang.org/x/tools

# The go/types/... packages currently don’t pass tests.
export DH_GOLANG_EXCLUDES := golang.org/x/tools/go/types

# Install all files into the build GOPATH, not only .go files.
# This is necessary because go.tools contains golden files that are necessary
# for running the testsuite.
export DH_GOLANG_INSTALL_ALL := 1

# go.tools installs into $GOROOT, so create a temporary $GOROOT into which it
# is actually allowed to write (as opposed to /usr/lib/go).
export GOROOT_FINAL := /usr/lib/go
export GOROOT = $(CURDIR)/temproot

override_dh_auto_build:
	mkdir -p $(CURDIR)/temproot
	# We need a writable copy of pkg, go.tools installs into that.
	cp -ar /usr/lib/go/pkg $(CURDIR)/temproot/pkg
	ln -s /usr/lib/go/src $(CURDIR)/temproot/src
	ln -s /usr/share/go/test $(CURDIR)/temproot/test
	ln -s /usr/share/doc/golang-doc/html $(CURDIR)/temproot/doc
	echo "listing:"
	ls -hlR $(CURDIR)
	dh_auto_build $@

override_dh_auto_install:
	dh_auto_install $@
	# Install all binaries from bin/ and pkg/ to /usr/bin/ and
	# /usr/lib/go/pkg, respectively.
	echo "listing CURDIR=$(CURDIR):"
	ls -hlR $(CURDIR)
	# Rename “eg” to “golang-eg” (#753978)
	mv $(CURDIR)/debian/tmp/usr/bin/eg $(CURDIR)/debian/tmp/usr/bin/golang-eg
	# Rename “stress” to “golang-stress” (#793693)
	mv $(CURDIR)/debian/tmp/usr/bin/stress $(CURDIR)/debian/tmp/usr/bin/golang-stress
	(cd $(CURDIR)/temproot/bin; \
	 for file in $$(find . -type f -newer $$(find $(CURDIR)/temproot/pkg/tool/ -name "fix")); do \
		mkdir -p $(CURDIR)/debian/tmp/usr/bin/$$(dirname $$file); \
		install $$file $(CURDIR)/debian/tmp/usr/bin/$$file; \
	done)
	(cd $(CURDIR)/temproot/pkg; \
	 for file in $$(find . -type f -newer $$(find $(CURDIR)/temproot/pkg/tool/ -name "fix")); do \
		mkdir -p $(CURDIR)/debian/tmp/usr/lib/go/pkg/$$(dirname $$file); \
		install $$file $(CURDIR)/debian/tmp/usr/lib/go/pkg/$$file; \
	done)
	# Remove extra LICENSE file, which is installed because we run with DH_GOLANG_INSTALL_ALL=1.
	-rm $(CURDIR)/debian/tmp/usr/share/gocode/src/golang.org/x/tools/LICENSE
	-rm $(CURDIR)/debian/tmp/usr/share/gocode/src/golang.org/x/tools/.gitattributes
	# Make scripts executable.
	chmod +x $(CURDIR)/debian/tmp/usr/share/gocode/src/golang.org/x/tools/cmd/godoc/setup-godoc-app.bash
	chmod +x $(CURDIR)/debian/tmp/usr/share/gocode/src/golang.org/x/tools/cmd/oracle/emacs-test.bash
	# Replace embedded copies of jquery and jquery-ui with a symlink.
	-rm $(CURDIR)/debian/tmp/usr/share/gocode/src/golang.org/x/tools/godoc/static/jquery.js && \
	ln -s /usr/share/javascript/jquery/jquery.min.js $(CURDIR)/debian/tmp/usr/share/gocode/src/golang.org/x/tools/godoc/static/jquery.js
	-rm $(CURDIR)/debian/tmp/usr/share/gocode/src/golang.org/x/tools/cmd/present/static/jquery-ui.js && \
	ln -s /usr/share/javascript/jquery-ui/jquery-ui.min.js $(CURDIR)/debian/tmp/usr/share/gocode/src/golang.org/x/tools/cmd/present/static/jquery-ui.js

%:
	dh $@ --buildsystem=golang --with=golang

## golang-golang-x-tools 0.0~git20150902.0.1330b28+dfsg1

=== debian/changelog ===
golang-golang-x-tools (1:0.0~git20150902.0.1330b28+dfsg1-0ubuntu1) wily; urgency=medium

  * New upstream version.
  * Updates now that cover and vet are also part of the main golang distribution.
  * Disable two slow tests that time out on some builders (godoc and go/ssa/interp).

 -- Michael Hudson-Doyle <michael.hudson@canonical.com>  Wed, 09 Sep 2015 15:22:32 +1200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Stapelberg <stapelberg@debian.org>
-Build-Depends: debhelper (>= 9), golang-go, golang-doc, dh-golang (>= 1.7), golang-go.net-dev, libjs-jquery, libjs-jquery-ui
+Build-Depends: debhelper (>= 9), golang-go, golang-doc, dh-golang (>= 1.7), golang-golang-x-net-dev, libjs-jquery, libjs-jquery-ui
 Standards-Version: 3.9.6
 Homepage: http://golang.org/x/tools
 Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-go.tools.git

=== debian/rules ===
--- 
+++ 
@@ -10,23 +10,28 @@
 
 export DH_GOPKG := golang.org/x/tools
 
-# The go/types/... packages currently don’t pass tests.
-export DH_GOLANG_EXCLUDES := golang.org/x/tools/go/types
+# The go/ssa/interp package tests hang on 32 bit platforms
+# (https://github.com/golang/go/issues/11916)
+export DH_GOLANG_EXCLUDES := golang.org/x/tools/go/ssa/interp
 
 # Install all files into the build GOPATH, not only .go files.
 # This is necessary because go.tools contains golden files that are necessary
 # for running the testsuite.
 export DH_GOLANG_INSTALL_ALL := 1
 
-# go.tools installs into $GOROOT, so create a temporary $GOROOT into which it
-# is actually allowed to write (as opposed to /usr/lib/go).
+# go.tools installs godoc into $GOROOT/bin, so create a temporary $GOROOT into
+# which it is actually allowed to write (as opposed to /usr/lib/go).
 export GOROOT_FINAL := /usr/lib/go
 export GOROOT = $(CURDIR)/temproot
 
+override_dh_auto_clean:
+	rm -rf $(CURDIR)/temproot
+	dh_auto_clean $@
+
+
 override_dh_auto_build:
 	mkdir -p $(CURDIR)/temproot
-	# We need a writable copy of pkg, go.tools installs into that.
-	cp -ar /usr/lib/go/pkg $(CURDIR)/temproot/pkg
+	ln -s /usr/lib/go/pkg $(CURDIR)/temproot/pkg
 	ln -s /usr/lib/go/src $(CURDIR)/temproot/src
 	ln -s /usr/share/go/test $(CURDIR)/temproot/test
 	ln -s /usr/share/doc/golang-doc/html $(CURDIR)/temproot/doc
@@ -44,16 +49,14 @@
 	mv $(CURDIR)/debian/tmp/usr/bin/eg $(CURDIR)/debian/tmp/usr/bin/golang-eg
 	# Rename “stress” to “golang-stress” (#793693)
 	mv $(CURDIR)/debian/tmp/usr/bin/stress $(CURDIR)/debian/tmp/usr/bin/golang-stress
-	(cd $(CURDIR)/temproot/bin; \
+	(cd $(CURDIR)/temproot/bin && \
 	 for file in $$(find . -type f -newer $$(find $(CURDIR)/temproot/pkg/tool/ -name "fix")); do \
 		mkdir -p $(CURDIR)/debian/tmp/usr/bin/$$(dirname $$file); \
 		install $$file $(CURDIR)/debian/tmp/usr/bin/$$file; \
 	done)
-	(cd $(CURDIR)/temproot/pkg; \
-	 for file in $$(find . -type f -newer $$(find $(CURDIR)/temproot/pkg/tool/ -name "fix")); do \
-		mkdir -p $(CURDIR)/debian/tmp/usr/lib/go/pkg/$$(dirname $$file); \
-		install $$file $(CURDIR)/debian/tmp/usr/lib/go/pkg/$$file; \
-	done)
+	# Do not install vet or cover in /usr/bin
+	-rm $(CURDIR)/debian/tmp/usr/bin/vet
+	-rm $(CURDIR)/debian/tmp/usr/bin/cover
 	# Remove extra LICENSE file, which is installed because we run with DH_GOLANG_INSTALL_ALL=1.
 	-rm $(CURDIR)/debian/tmp/usr/share/gocode/src/golang.org/x/tools/LICENSE
 	-rm $(CURDIR)/debian/tmp/usr/share/gocode/src/golang.org/x/tools/.gitattributes

## golang-golang-x-tools 0.0~git20151026.0.0f9d71c

=== debian/changelog ===
golang-golang-x-tools (1:0.0~git20151026.0.0f9d71c-2) unstable; urgency=medium

  * Exclude "cover" and "vet" from being built/installed (Closes: #803130)

 -- Tianon Gravi <tianon@debian.org>  Tue, 27 Oct 2015 14:36:17 -0700

golang-golang-x-tools (1:0.0~git20151026.0.0f9d71c-1) unstable; urgency=medium

  * Update to newer upstream snapshot (Closes: #802988)
    - Compiles properly with Go 1.5+
    - No longer installs everything to GOROOT

 -- Tianon Gravi <tianon@debian.org>  Mon, 26 Oct 2015 15:46:30 -0700

golang-golang-x-tools (1:0.0~git20150716.0.87156cb+dfsg1-4) unstable; urgency=medium

  * Make the transitional golang-go.tools-dev Architecture: all, not
    Architecture: any (otherwise both 1:0.0~git20150716.0.87156cb+dfsg1-3 and
    0.0~hg20140703-4 are in Debian testing). (Closes: #799797)

 -- Michael Stapelberg <stapelberg@debian.org>  Thu, 01 Oct 2015 20:55:09 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

export DH_VERBOSE := 1

# Exclude "cover" and "vet" since they're included in core as of Go 1.5+
export DH_GOLANG_EXCLUDES := \
	golang.org/x/tools/cmd/cover \
	golang.org/x/tools/cmd/vet

# Install all files into the build GOPATH, not only .go files.
# This is necessary because go.tools contains golden files that are necessary
# for running the testsuite.
export DH_GOLANG_INSTALL_ALL := 1

# go.tools installs godoc into $GOROOT/bin, so create a temporary $GOROOT into
# which it is actually allowed to write (as opposed to /usr/lib/go).
export GOROOT_FINAL := /usr/lib/go
export GOROOT := $(CURDIR)/temproot

override_dh_auto_clean:
	dh_auto_clean
	rm -rf '$(GOROOT)'

override_dh_auto_build:
	mkdir -p '$(GOROOT)'
	set -ex && for f in '$(GOROOT_FINAL)'/*; do \
		ln -sT "$$f" "$(GOROOT)/$$(basename "$$f")"; \
	done
	# recreate 'bin' for godoc
	rm '$(GOROOT)/bin' && mkdir '$(GOROOT)/bin'
	dh_auto_build

override_dh_auto_install:
	dh_auto_install
	# Rename “eg” to “golang-eg” (#753978)
	mv debian/tmp/usr/bin/eg debian/tmp/usr/bin/golang-eg
	# Rename “stress” to “golang-stress” (#793693)
	mv debian/tmp/usr/bin/stress debian/tmp/usr/bin/golang-stress
	# Remove extra LICENSE file, which is installed because we run with DH_GOLANG_INSTALL_ALL=1.
	rm debian/tmp/usr/share/gocode/src/golang.org/x/tools/LICENSE
	rm debian/tmp/usr/share/gocode/src/golang.org/x/tools/.gitattributes
	# Make scripts executable.
	find debian/tmp/usr/share/gocode/src/golang.org/x/tools -name '*.bash' -exec chmod +x '{}' +
	# Replace embedded copies of jquery and jquery-ui with a symlink.
	rm debian/tmp/usr/share/gocode/src/golang.org/x/tools/godoc/static/jquery.js && \
		ln -s \
			/usr/share/javascript/jquery/jquery.min.js \
			debian/tmp/usr/share/gocode/src/golang.org/x/tools/godoc/static/jquery.js
	rm debian/tmp/usr/share/gocode/src/golang.org/x/tools/cmd/present/static/jquery-ui.js && \
		ln -s \
			/usr/share/javascript/jquery-ui/jquery-ui.min.js \
			debian/tmp/usr/share/gocode/src/golang.org/x/tools/cmd/present/static/jquery-ui.js

override_dh_auto_test:
	# use short tests where possible (especially to skip tests like TestWebIndex which are very slow)
	dh_auto_test -- -test.short

%:
	dh $@ --buildsystem=golang --with=golang

## golang-golang-x-tools 0.0~git20160315.0.f42ec61

=== debian/changelog ===
golang-golang-x-tools (1:0.0~git20160315.0.f42ec61-2) unstable; urgency=medium

  * Rename bundle to golang-bundle. (Closes: #818551)

 -- Michael Hudson-Doyle <michael.hudson@canonical.com>  Thu, 17 Mar 2016 18:37:54 -0700

golang-golang-x-tools (1:0.0~git20160315.0.f42ec61-1) unstable; urgency=medium

  * New upstream snapshot. (Closes: #818320)
    - Passes tests with Go 1.6.

 -- Michael Hudson-Doyle <michael.hudson@canonical.com>  Wed, 16 Mar 2016 14:18:54 -0700

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,30 @@
 Section: devel
 Priority: extra
 Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Michael Stapelberg <stapelberg@debian.org>
-Build-Depends: debhelper (>= 9), golang-go, golang-doc, dh-golang (>= 1.7), golang-golang-x-net-dev, libjs-jquery, libjs-jquery-ui
+Uploaders: Michael Stapelberg <stapelberg@debian.org>,
+           Tianon Gravi <tianon@debian.org>
+Build-Depends: debhelper (>= 9),
+               dh-golang (>= 1.7),
+               golang-doc,
+               golang-go,
+               golang-golang-x-net-dev,
+               golang-google-appengine-dev,
+               golang-google-cloud-compute-metadata-dev,
+               libjs-jquery,
+               libjs-jquery-ui
 Standards-Version: 3.9.6
 Homepage: http://golang.org/x/tools
 Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-go.tools.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-go/packages/golang-go.tools.git;a=summary
+XS-Go-Import-Path: golang.org/x/tools
 
 Package: golang-golang-x-tools
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, golang-golang-x-tools-dev
+Depends: golang-golang-x-tools-dev, ${misc:Depends}, ${shlibs:Depends}
 Built-Using: ${misc:Built-Using}
 Breaks: golang-go (<< 2:1.2), golang-go.tools (<< 1:0.0~git20150716.0.87156cb~)
-Replaces: golang-go (<< 2:1.2), golang-go.tools (<< 1:0.0~git20150716.0.87156cb~)
+Replaces: golang-go (<< 2:1.2),
+          golang-go.tools (<< 1:0.0~git20150716.0.87156cb~)
 Provides: golang-go.tools
 Description: supplementary Go tools
  This subrepository holds the source for various packages and tools that
@@ -30,14 +41,14 @@
 Package: golang-go.tools
 Section: oldlibs
 Architecture: any
-Depends: ${misc:Depends}, golang-golang-x-tools
+Depends: golang-golang-x-tools, ${misc:Depends}
 Description: Transitional package for golang-golang-x-tools
  This is a transitional package to ease upgrades to the golang-golang-x-tools
  package. It can safely be removed.
 
 Package: golang-golang-x-tools-dev
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-jquery, libjs-jquery-ui
+Depends: libjs-jquery, libjs-jquery-ui, ${misc:Depends}, ${shlibs:Depends}
 Breaks: golang-go.tools-dev (<< 1:0.0~git20150716.0.87156cb~)
 Replaces: golang-go.tools-dev (<< 1:0.0~git20150716.0.87156cb~)
 Provides: golang-go.tools-dev
@@ -56,8 +67,8 @@
 
 Package: golang-go.tools-dev
 Section: oldlibs
-Architecture: any
-Depends: ${misc:Depends}, golang-golang-x-tools-dev
+Architecture: all
+Depends: golang-golang-x-tools-dev, ${misc:Depends}
 Description: Transitional package for golang-golang-x-tools-dev
  This is a transitional package to ease upgrades to the
  golang-golang-x-tools-dev package. It can safely be removed.

=== debian/rules ===
--- 
+++ 
@@ -42,6 +42,8 @@
 	mv debian/tmp/usr/bin/eg debian/tmp/usr/bin/golang-eg
 	# Rename “stress” to “golang-stress” (#793693)
 	mv debian/tmp/usr/bin/stress debian/tmp/usr/bin/golang-stress
+	# Rename “bundle” to “golang-bundle” (#818551)
+	mv debian/tmp/usr/bin/bundle debian/tmp/usr/bin/golang-bundle
 	# Remove extra LICENSE file, which is installed because we run with DH_GOLANG_INSTALL_ALL=1.
 	rm debian/tmp/usr/share/gocode/src/golang.org/x/tools/LICENSE
 	rm debian/tmp/usr/share/gocode/src/golang.org/x/tools/.gitattributes

## golang-golang-x-tools 0.0~git20160826.0.a832035

=== debian/changelog ===
golang-golang-x-tools (1:0.0~git20160826.0.a832035-1) unstable; urgency=medium

  * Team upload.

  [ Paul Tagliamonte ]
  * Use a secure transport for the Vcs-Git and Vcs-Browser URL

  [ Martín Ferrari ]
  * New upstream snapshot. (Closes: #835760)
  * debian/control: Update Standards-Version (no changes), and version
    dependency on dh-golang.
  * Remove now unneeded GOROOT hack, and simplify rules
  * Add lintian overrides for -dev package.

  [ Tim Potter ]
  * Use external packages for third party javascript used in heapview.

 -- Tim Potter <tpot@hpe.com>  Sun, 16 Oct 2016 12:17:45 +1100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: extra
 Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Stapelberg <stapelberg@debian.org>,
-           Tianon Gravi <tianon@debian.org>
+           Tianon Gravi <tianon@debian.org>,
+           Tim Potter <tpot@hpe.com>
 Build-Depends: debhelper (>= 9),
-               dh-golang (>= 1.7),
+               dh-golang (>= 1.17~),
                golang-doc,
                golang-go,
                golang-golang-x-net-dev,
@@ -13,15 +14,15 @@
                golang-google-cloud-compute-metadata-dev,
                libjs-jquery,
                libjs-jquery-ui
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://golang.org/x/tools
-Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-go.tools.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-go/packages/golang-go.tools.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-go.tools.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-go/packages/golang-go.tools.git;a=summary
 XS-Go-Import-Path: golang.org/x/tools
 
 Package: golang-golang-x-tools
 Architecture: any
-Depends: golang-golang-x-tools-dev, ${misc:Depends}, ${shlibs:Depends}
+Depends: golang-golang-x-tools-dev, ${misc:Depends}, ${shlibs:Depends}, node-typescript, libjs-webcomponentsjs-custom-element-v0, libjs-es-module-loader-0.17
 Built-Using: ${misc:Built-Using}
 Breaks: golang-go (<< 2:1.2), golang-go.tools (<< 1:0.0~git20150716.0.87156cb~)
 Replaces: golang-go (<< 2:1.2),

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE := 1

# Exclude "cover" and "vet" since they're included in core as of Go 1.5+
export DH_GOLANG_EXCLUDES := \
	golang.org/x/tools/cmd/cover \
	golang.org/x/tools/cmd/vet

export DH_GOLANG_INSTALL_EXTRA := cmd/present/templates cmd/present/static \
    cmd/bundle/testdata cmd/heapview/client cmd/goyacc/testdata \
    cmd/guru/testdata container/intsets refactor/eg/testdata oracle/testdata \
    godoc/static go/gcimporter15/testdata

override_dh_auto_install:
	dh_auto_install
	# Rename “eg” to “golang-eg” (#753978)
	mv debian/tmp/usr/bin/eg debian/tmp/usr/bin/golang-eg
	# Rename “stress” to “golang-stress” (#793693)
	mv debian/tmp/usr/bin/stress debian/tmp/usr/bin/golang-stress
	# Rename “bundle” to “golang-bundle” (#818551)
	mv debian/tmp/usr/bin/bundle debian/tmp/usr/bin/golang-bundle
	# Replace embedded copies of jquery and jquery-ui with a symlink.
	rm debian/tmp/usr/share/gocode/src/golang.org/x/tools/godoc/static/jquery.js && \
		ln -s \
			/usr/share/javascript/jquery/jquery.min.js \
			debian/tmp/usr/share/gocode/src/golang.org/x/tools/godoc/static/jquery.js
	rm debian/tmp/usr/share/gocode/src/golang.org/x/tools/cmd/present/static/jquery-ui.js && \
		ln -s \
			/usr/share/javascript/jquery-ui/jquery-ui.min.js \
			debian/tmp/usr/share/gocode/src/golang.org/x/tools/cmd/present/static/jquery-ui.js

override_dh_auto_test:
	# use short tests where possible (especially to skip tests like
	# TestWebIndex which are very slow)
	dh_auto_test -- -test.short

%:
	dh $@ --buildsystem=golang --with=golang

=== debian/watch ===
version=3
 https://github.com/golang/tools/releases \
 .*/v?(\d[\d\.]*)\.tar\.gz

## golang-golang-x-tools 0.0~git20161028.0.b814a3b+ds

=== debian/changelog ===
golang-golang-x-tools (1:0.0~git20161028.0.b814a3b+ds-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Martín Ferrari <tincho@debian.org>  Mon, 13 Feb 2017 15:53:29 +0000

golang-golang-x-tools (1:0.0~git20161028.0.b814a3b+ds-3) unstable; urgency=high

  * Reintroduce GOROOT hack to solve build failures with gccgo.
  * Fix or disable tests that don't work when using gccgo. Possibly some tools
    won't work with gccgo properly, this is being followed upstream in
    https://github.com/golang/go/issues/17999

 -- Martín Ferrari <tincho@debian.org>  Mon, 21 Nov 2016 19:44:05 +0000

golang-golang-x-tools (1:0.0~git20161028.0.b814a3b+ds-2~bpo8+1) jessie-backports; urgency=medium

  [ Team upload ]
  * Rebuild for jessie-backports.

 -- Tim Potter <tpot@hpe.com>  Mon, 07 Nov 2016 15:02:37 +1100

golang-golang-x-tools (1:0.0~git20161028.0.b814a3b+ds-2) unstable; urgency=medium

  * Drop unneeded build-dependency on golang-doc. Add recommends on that.
  * Adjust tests to cope with no golang-doc.
  * Add copyright info about cmd/goyacc/yacc.go

 -- Martín Ferrari <tincho@debian.org>  Mon, 31 Oct 2016 22:50:49 +0000

golang-golang-x-tools (1:0.0~git20161028.0.b814a3b+ds-1) unstable; urgency=high

  [ Tim Potter ]
  * Remove dependency on js packages for golang-golang-x-tools-dev package
  * Remove dependency on dev package for golang-golang-x-tools package

  [ Martín Ferrari ]
  * New upstream release.
  * Add myself to Uploaders.
  * Remove build dependencies on jquery and appengine libraries, as these are
    not needed.
  * Update oracle man page to new golang-guru tool.
  * Clean-up debian/rules, and stop building heapview until nodejs dependency
    issues are solved.
  * Drop nodejs dependencies, so it can be installable everywhere again.
    Raising urgency.
  * Use /usr/share/golang-golang-x-tools for static web files.
  * Stop embedding web files, and separate them from code.
  * Remove useless watchfile.
  * Adjust lintian overrides.
  * debian/control: Fix Vcs-* fields.
  * debian/control: Replace golang-go with golang-any in Build-Depends.

 -- Martín Ferrari <tincho@debian.org>  Mon, 31 Oct 2016 21:36:08 +0000

=== debian/control ===
--- 
+++ 
@@ -2,32 +2,31 @@
 Section: devel
 Priority: extra
 Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Michael Stapelberg <stapelberg@debian.org>,
+Uploaders: Martín Ferrari <tincho@debian.org>,
+           Michael Stapelberg <stapelberg@debian.org>,
            Tianon Gravi <tianon@debian.org>,
-           Tim Potter <tpot@hpe.com>
+           Tim Potter <tpot@hpe.com>,
 Build-Depends: debhelper (>= 9),
                dh-golang (>= 1.17~),
-               golang-doc,
-               golang-go,
+               golang-any,
                golang-golang-x-net-dev,
-               golang-google-appengine-dev,
-               golang-google-cloud-compute-metadata-dev,
-               libjs-jquery,
-               libjs-jquery-ui
 Standards-Version: 3.9.8
 Homepage: http://golang.org/x/tools
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-go.tools.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-go/packages/golang-go.tools.git;a=summary
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-go.tools.git
 XS-Go-Import-Path: golang.org/x/tools
 
 Package: golang-golang-x-tools
 Architecture: any
-Depends: golang-golang-x-tools-dev, ${misc:Depends}, ${shlibs:Depends}, node-typescript, libjs-webcomponentsjs-custom-element-v0, libjs-es-module-loader-0.17
+Depends: ${misc:Depends}, ${shlibs:Depends},
+         libjs-jquery,
+         libjs-jquery-ui,
 Built-Using: ${misc:Built-Using}
 Breaks: golang-go (<< 2:1.2), golang-go.tools (<< 1:0.0~git20150716.0.87156cb~)
 Replaces: golang-go (<< 2:1.2),
           golang-go.tools (<< 1:0.0~git20150716.0.87156cb~)
 Provides: golang-go.tools
+Recommends: golang-doc
 Description: supplementary Go tools
  This subrepository holds the source for various packages and tools that
  support the Go programming language.
@@ -49,7 +48,7 @@
 
 Package: golang-golang-x-tools-dev
 Architecture: all
-Depends: libjs-jquery, libjs-jquery-ui, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: golang-go.tools-dev (<< 1:0.0~git20150716.0.87156cb~)
 Replaces: golang-go.tools-dev (<< 1:0.0~git20150716.0.87156cb~)
 Provides: golang-go.tools-dev

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE := 1

# Exclude "cover" since it is included in core as of Go 1.5+. Exclude heapview
# due to weird javascript dependencies.
export DH_GOLANG_EXCLUDES := golang.org/x/tools/cmd/cover \
    golang.org/x/tools/cmd/heapview golang.org/x/tools/godoc/static

# godoc/static is needed for tests.
export DH_GOLANG_INSTALL_EXTRA := godoc/static \
    $(wildcard */*/testdata) $(wildcard */*/*/testdata)

BUILDDIR := $(CURDIR)/build

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)

# gccgo installs godoc into $GOROOT/bin, so create a temporary $GOROOT into
# which it is actually allowed to write (as opposed to /usr/lib/go).
ifneq ($(strip $(shell go version | grep gccgo)),)
DH_GOLANG_EXCLUDES += golang.org/x/tools/cmd/godoc

TMPGOROOT := $(BUILDDIR)/root

override_dh_auto_configure:
	mkdir -p $(TMPGOROOT)
	dh_auto_configure

override_dh_auto_build:
	dh_auto_build
	GOROOT=$(TMPGOROOT) GOPATH=$(BUILDDIR) go install -v \
	    golang.org/x/tools/cmd/godoc
	mv -v $(TMPGOROOT)/bin/godoc $(BUILDDIR)/bin
endif

override_dh_auto_install:
	dh_auto_install
	# Rename “eg” to “golang-eg” (#753978)
	mv debian/tmp/usr/bin/eg debian/tmp/usr/bin/golang-eg
	# Rename “stress” to “golang-stress” (#793693)
	mv debian/tmp/usr/bin/stress debian/tmp/usr/bin/golang-stress
	# Rename “bundle” to “golang-bundle” (#818551)
	mv debian/tmp/usr/bin/bundle debian/tmp/usr/bin/golang-bundle
	# Rename “guru” to “golang-guru”
	mv debian/tmp/usr/bin/guru debian/tmp/usr/bin/golang-guru

override_dh_auto_test:
	# use short tests where possible (especially to skip tests like
	# TestWebIndex which are very slow)
	dh_auto_test -- -test.short

## golang-golang-x-tools 0.0~git20170707.0.bce9606b+ds

=== debian/changelog ===
golang-golang-x-tools (1:0.0~git20170707.0.bce9606b+ds-1ubuntu1) bionic; urgency=medium

  * Add d/patches/0009-ssainterp-s390x.patch to fix ftbfs on s390x.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 22 Dec 2017 13:35:00 +1300

golang-golang-x-tools (1:0.0~git20170707.0.bce9606b+ds-1) unstable; urgency=medium

  * New upstream snapshot.
  * Delete 0010-fix-gorename-tests.patch because "x/tools/cmd/rename:
    tests are failing for Go 1.7 and Go 1.8" has been fixed upstream.
  * Remove GOROOT hack (needed by gccgo-6 but not gccgo-7).
    gccgo-7 no longer installs godoc into $GOROOT/bin like gccgo-6 did,
    and the old GOROOT hack would actually cause FTBFS with gccgo-7.
    (Closes: #866710)
  * Update and re-enable patches which disable or fix/workaround
    issues with certain tests with gccgo-7.

 -- Anthony Fok <foka@debian.org>  Fri, 07 Jul 2017 16:18:16 -0600

golang-golang-x-tools (1:0.0~git20170629.0.1b3bb8de+ds-1) unstable; urgency=medium

  * Repack to remove excluded files (command: "XZ_OPT=-9e mk-origtargz -S +ds").

 -- Anthony Fok <foka@debian.org>  Fri, 30 Jun 2017 23:29:00 -0600

golang-golang-x-tools (1:0.0~git20170629.0.1b3bb8de-1) unstable; urgency=medium

  * New upstream snapshot.
  * Bump Standards-Version to 4.0.0:
    Use https form of the copyright-format URL in debian/copyright.
  * Add myself to the list of Uploaders.
  * Add Build-Depends on golang-golang-x-crypto-dev due to new dependency on
    golang.org/x/crypto/acme/autocert in command-line tools.
  * Update debian patches for new upstream snapshot:
    - Refreshed to remove line offsets and/or fuzz:
      * 0002-skip-online-tests.patch
      * 0005-Disable_static.go.patch (with minor code adjustment)
      * 0006-Do_not_depend_on_golang-doc.patch
    - Disabled for now:
      * 0004-heapview.patch (does not apply cleanly, and heapview is not built)
      * 0007-Disable_tests_for_gccgo.patch (gccgo-7 may do better than gccgo-6)
      * 0008-Fix_tests_for_gccgo.patch (Ditto)
    - Deleted previously cherry-picked upstream patch:
      * 0009-imports-symlink-flake.patch
    - Add upstream work-in-progress patch to fix failed gorename tests:
      * 0010-fix-gorename-tests.patch
  * Update Lintian overrides.

 -- Anthony Fok <foka@debian.org>  Fri, 30 Jun 2017 10:43:15 -0600

golang-golang-x-tools (1:0.0~git20161028.0.b814a3b+ds-4) unstable; urgency=medium

  * disable tests on gccgo (closes: #857024)
  * add 0009-imports-symlink-flake.patch (Closes: #857025)

 -- Michael Stapelberg <stapelberg@debian.org>  Fri, 17 Mar 2017 19:43:57 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,13 @@
            Michael Stapelberg <stapelberg@debian.org>,
            Tianon Gravi <tianon@debian.org>,
            Tim Potter <tpot@hpe.com>,
+           Anthony Fok <foka@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-golang (>= 1.17~),
                golang-any,
                golang-golang-x-net-dev,
-Standards-Version: 3.9.8
+               golang-golang-x-crypto-dev
+Standards-Version: 4.0.0
 Homepage: http://golang.org/x/tools
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-go.tools.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-go.tools.git

=== debian/rules ===
--- 
+++ 
@@ -11,29 +11,6 @@
 # godoc/static is needed for tests.
 export DH_GOLANG_INSTALL_EXTRA := godoc/static \
     $(wildcard */*/testdata) $(wildcard */*/*/testdata)
-
-BUILDDIR := $(CURDIR)/build
-
-%:
-	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)
-
-# gccgo installs godoc into $GOROOT/bin, so create a temporary $GOROOT into
-# which it is actually allowed to write (as opposed to /usr/lib/go).
-ifneq ($(strip $(shell go version | grep gccgo)),)
-DH_GOLANG_EXCLUDES += golang.org/x/tools/cmd/godoc
-
-TMPGOROOT := $(BUILDDIR)/root
-
-override_dh_auto_configure:
-	mkdir -p $(TMPGOROOT)
-	dh_auto_configure
-
-override_dh_auto_build:
-	dh_auto_build
-	GOROOT=$(TMPGOROOT) GOPATH=$(BUILDDIR) go install -v \
-	    golang.org/x/tools/cmd/godoc
-	mv -v $(TMPGOROOT)/bin/godoc $(BUILDDIR)/bin
-endif
 
 override_dh_auto_install:
 	dh_auto_install
@@ -50,3 +27,6 @@
 	# use short tests where possible (especially to skip tests like
 	# TestWebIndex which are very slow)
 	dh_auto_test -- -test.short
+
+%:
+	dh $@ --buildsystem=golang --with=golang

## golang-golang-x-tools 0.0~git20180222.0.f8f2f88+ds

=== debian/changelog ===
golang-golang-x-tools (1:0.0~git20180222.0.f8f2f88+ds-1) unstable; urgency=high

  * New upstream snapshot. Closes: #890927.
  * Refresh patches.
  * Add new lintian overrides.
  * Fix gccgo build by disabling a couple of tests.
  * Stop manually copying testdata.

 -- Martín Ferrari <tincho@debian.org>  Sat, 24 Feb 2018 12:07:14 +0000

=== debian/control ===
Source: golang-golang-x-tools
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>,
           Michael Stapelberg <stapelberg@debian.org>,
           Tianon Gravi <tianon@debian.org>,
           Tim Potter <tpot@hpe.com>,
           Anthony Fok <foka@debian.org>,
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-golang (>= 1.17~),
               golang-any,
               golang-golang-x-crypto-dev,
               golang-golang-x-net-dev,
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-go.tools.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-go.tools.git
Homepage: http://golang.org/x/tools
XS-Go-Import-Path: golang.org/x/tools

Package: golang-golang-x-tools
Architecture: any
Depends: libjs-jquery,
         libjs-jquery-ui,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: golang-doc,
Breaks: golang-go (<< 2:1.2),
        golang-go.tools (<< 1:0.0~git20150716.0.87156cb~),
Provides: golang-go.tools,
Replaces: golang-go (<< 2:1.2),
          golang-go.tools (<< 1:0.0~git20150716.0.87156cb~),
Built-Using: ${misc:Built-Using},
Description: supplementary Go tools
 This subrepository holds the source for various packages and tools that
 support the Go programming language.
 .
 Some of the tools, godoc and vet for example, used to be included in the
 golang-go package. Others, including the Go oracle and the test coverage tool,
 can be fetched with "go get".
 .
 Packages include a type-checker for Go and an implementation of the Static
 Single Assignment form (SSA) representation for Go programs.

Package: golang-go.tools
Architecture: any
Section: oldlibs
Depends: golang-golang-x-tools,
         ${misc:Depends},
Description: Transitional package for golang-golang-x-tools
 This is a transitional package to ease upgrades to the golang-golang-x-tools
 package. It can safely be removed.

Package: golang-golang-x-tools-dev
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: golang-go.tools-dev (<< 1:0.0~git20150716.0.87156cb~),
Provides: golang-go.tools-dev,
Replaces: golang-go.tools-dev (<< 1:0.0~git20150716.0.87156cb~),
Description: supplementary Go tools (development files)
 This subrepository holds the source for various packages and tools that
 support the Go programming language.
 .
 Some of the tools, godoc and vet for example, used to be included in the
 golang-go package. Others, including the Go oracle and the test coverage tool,
 can be fetched with "go get".
 .
 Packages include a type-checker for Go and an implementation of the Static
 Single Assignment form (SSA) representation for Go programs.
 .
 This package contains the development files.

Package: golang-go.tools-dev
Architecture: all
Section: oldlibs
Depends: golang-golang-x-tools-dev,
         ${misc:Depends},
Description: Transitional package for golang-golang-x-tools-dev
 This is a transitional package to ease upgrades to the
 golang-golang-x-tools-dev package. It can safely be removed.

## golang-golang-x-tools 0.0~git20180501.d3e4ceb5+ds

=== debian/changelog ===
golang-golang-x-tools (1:0.0~git20180501.d3e4ceb5+ds-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Build-Depend on dh-golang (>= 1.31~) to have testdata/ directories
    copied automatically, avoiding build errors.
  * Build-Depend on golang-any (>= 2:1.8~) for its new doc.IsPredefined

 -- Anthony Fok <foka@debian.org>  Thu, 10 May 2018 07:44:55 -0600

golang-golang-x-tools (1:0.0~git20180501.d3e4ceb5+ds-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Anthony Fok ]
  * New upstream version 0.0~git20180501.d3e4ceb5+ds
    from release-branch.go1.10
  * Apply "cme fix dpkg" fixes to debian/control,
    bumping Standards-Version to 4.1.4, etc.
  * Use debhelper (>= 11)
  * Refresh patches
  * Apply upstream patch to fix TestGuru error.
    See "cmd/guru: skip broken test for old Go versions for now"
    at https://go-review.googlesource.com/c/tools/+/112375

 -- Anthony Fok <foka@debian.org>  Wed, 09 May 2018 17:23:50 -0600

=== debian/control ===
Source: golang-golang-x-tools
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>,
           Michael Stapelberg <stapelberg@debian.org>,
           Tianon Gravi <tianon@debian.org>,
           Tim Potter <tpot@hpe.com>,
           Anthony Fok <foka@debian.org>
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-golang (>= 1.31~),
               golang-any (>= 2:1.8~),
               golang-golang-x-crypto-dev,
               golang-golang-x-net-dev
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-go.tools
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-go.tools.git
Homepage: http://golang.org/x/tools
XS-Go-Import-Path: golang.org/x/tools

Package: golang-golang-x-tools
Architecture: any
Depends: libjs-jquery,
         libjs-jquery-ui,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: golang-doc
Breaks: golang-go (<< 2:1.2),
        golang-go.tools (<< 1:0.0~git20150716.0.87156cb~)
Provides: golang-go.tools
Replaces: golang-go (<< 2:1.2),
          golang-go.tools (<< 1:0.0~git20150716.0.87156cb~)
Built-Using: ${misc:Built-Using}
Description: supplementary Go tools
 This subrepository holds the source for various packages and tools that
 support the Go programming language.
 .
 Some of the tools, godoc and vet for example, used to be included in the
 golang-go package. Others, including the Go oracle and the test coverage tool,
 can be fetched with "go get".
 .
 Packages include a type-checker for Go and an implementation of the Static
 Single Assignment form (SSA) representation for Go programs.

Package: golang-go.tools
Architecture: any
Section: oldlibs
Depends: golang-golang-x-tools,
         ${misc:Depends}
Description: Transitional package for golang-golang-x-tools
 This is a transitional package to ease upgrades to the golang-golang-x-tools
 package. It can safely be removed.

Package: golang-golang-x-tools-dev
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: golang-go.tools-dev (<< 1:0.0~git20150716.0.87156cb~)
Provides: golang-go.tools-dev
Replaces: golang-go.tools-dev (<< 1:0.0~git20150716.0.87156cb~)
Description: supplementary Go tools (development files)
 This subrepository holds the source for various packages and tools that
 support the Go programming language.
 .
 Some of the tools, godoc and vet for example, used to be included in the
 golang-go package. Others, including the Go oracle and the test coverage tool,
 can be fetched with "go get".
 .
 Packages include a type-checker for Go and an implementation of the Static
 Single Assignment form (SSA) representation for Go programs.
 .
 This package contains the development files.

Package: golang-go.tools-dev
Architecture: all
Section: oldlibs
Depends: golang-golang-x-tools-dev,
         ${misc:Depends}
Description: Transitional package for golang-golang-x-tools-dev
 This is a transitional package to ease upgrades to the
 golang-golang-x-tools-dev package. It can safely be removed.

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,7 @@
     golang.org/x/tools/cmd/heapview golang.org/x/tools/godoc/static
 
 # godoc/static is needed for tests.
-export DH_GOLANG_INSTALL_EXTRA := godoc/static \
-    $(wildcard */*/testdata) $(wildcard */*/*/testdata)
+export DH_GOLANG_INSTALL_EXTRA := godoc/static
 
 override_dh_auto_install:
 	dh_auto_install

## golang-golang-x-tools 0.0~git20190125.d66bd3c%2Bds

=== debian/changelog ===
golang-golang-x-tools (1:0.0~git20190125.d66bd3c+ds-4) unstable; urgency=high

  * Do not build cmd/gopls/forward,as it does not seem to be used, and
    conflicts with binaries in other packages. Closes: #920934.

 -- Martín Ferrari <tincho@debian.org>  Wed, 30 Jan 2019 20:18:31 +0000

golang-golang-x-tools (1:0.0~git20190125.d66bd3c+ds-3) unstable; urgency=high

  * debian/control: Remove Build-Dep on golang-doc, as it is not really
    needed and prevents building in non-golang-go arches.

 -- Martín Ferrari <tincho@debian.org>  Mon, 28 Jan 2019 23:58:22 +0000

golang-golang-x-tools (1:0.0~git20190125.d66bd3c+ds-2) unstable; urgency=high

  * Fix build failures on mips/mipsel due to alignment issues.

 -- Martín Ferrari <tincho@debian.org>  Mon, 28 Jan 2019 20:57:26 +0000

golang-golang-x-tools (1:0.0~git20190125.d66bd3c+ds-1) unstable; urgency=high

  [ Anthony Fok ]
  * Build-Depend on dh-golang (>= 1.31~) So that testdata/ directories are
    copied automatically, avoiding build errors.
  * Build-Depend on golang-any (>= 2:1.8~) for doc.IsPredefined

  [ Dr. Tobias Quathamer ]
  * Update team name
  * Update to Standards-Version 4.3.0
  * Simplify gbp.conf
  * Use HTTPS for Homepage
  * Remove empty d/lintian-overrides
  * Refresh patches
  * Disable pristine-tar
  * Set GOCACHE variable to on

  [ Martín Ferrari ]
  * New upstream snapshot. Closes: #918415 (raising urgency).
  * debian/gbp.conf: Re-add debian-branch option, as some tools require
    it.
  * debian/control: Build-depend on golang-doc, as some tests require it.
  * Fix GOCACHE value so it matches what tests expect.
  * debian/rules: Honour DEB_BUILD_OPTIONS=nocheck.
  * Fix more failing tests.
  * Add watchfile.
  * Update lintian overrides for test data.
  * Disable loading Google Analytics in godoc pages.
  * debian/control: Remove unneeded build dependencies.

 -- Martín Ferrari <tincho@debian.org>  Mon, 28 Jan 2019 14:13:45 +0000
